Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| fop 2.1
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.fop.render.intermediate
Class AbstractXMLWritingIFDocumentHandler

    java.lang.Object
      org.apache.fop.render.intermediate.AbstractIFDocumentHandler
          org.apache.fop.render.intermediate.AbstractXMLWritingIFDocumentHandler

All Implemented Interfaces:
  IFDocumentHandler

Direct Known Subclasses:
  AbstractSVGDocumentHandler, IFSerializer

    public abstract class AbstractXMLWritingIFDocumentHandler

extends AbstractIFDocumentHandler

Abstract base class for XML-writing `IFDocumentHandler` implementations.

Field Summary
`protected GenerationHelperContentHandler` | `handler` Main SAX ContentHandler to receive the generated SAX events.
`protected javax.xml.transform.sax.SAXTransformerFactory` | `tFactory` Default SAXTransformerFactory that can be used by subclasses.

Constructor Summary
`protected` | `AbstractXMLWritingIFDocumentHandler(IFContext context)`

Method Summary
`protected org.xml.sax.ContentHandler` | `createContentHandler(javax.xml.transform.Result result)` Creates a ContentHandler for the given JAXP Result instance.
`protected abstract java.lang.String` | `getMainNamespace()` Returns the main namespace used for generated XML content.
`void` | `setResult(javax.xml.transform.Result result)` Sets the JAXP Result object to receive the generated content.

Methods inherited from class org.apache.fop.render.intermediate.AbstractIFDocumentHandler
`endDocumentHeader, endDocumentTrailer, endPageHeader, endPageTrailer, getContext, getDocumentNavigationHandler, getStructureTreeEventHandler, getUserAgent, setDocumentLocale, startDocument, startDocumentHeader, startDocumentTrailer, startPageHeader, startPageTrailer`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface org.apache.fop.render.intermediate.IFDocumentHandler
`endDocument, endPage, endPageContent, endPageSequence, getConfigurator, getFontInfo, getMimeType, handleExtensionObject, setDefaultFontInfo, setFontInfo, startPage, startPageContent, startPageSequence, supportsPagesOutOfOrder`

Field Detail

### tFactory

    protected javax.xml.transform.sax.SAXTransformerFactory tFactory

  Default SAXTransformerFactory that can be used by subclasses.

### handler

    protected GenerationHelperContentHandler handler

  Main SAX ContentHandler to receive the generated SAX events.

Constructor Detail

### AbstractXMLWritingIFDocumentHandler

    protected AbstractXMLWritingIFDocumentHandler(IFContext context)

Method Detail

### setResult

    public void setResult(javax.xml.transform.Result result)
                   throws IFException

  Sets the JAXP Result object to receive the generated content.

  Parameters:
    `result` - the JAXP Result object to receive the generated content
  Throws:
    `IFException` - if an error occurs setting up the output

### getMainNamespace

    protected abstract java.lang.String getMainNamespace()

  Returns the main namespace used for generated XML content.

  Returns:
    the main namespace

### createContentHandler

    protected org.xml.sax.ContentHandler createContentHandler(javax.xml.transform.Result result)
                                                       throws IFException

  Creates a ContentHandler for the given JAXP Result instance.

  Parameters:
    `result` - the JAXP Result instance
  Returns:
    the requested SAX ContentHandler
  Throws:
    `IFException` - if an error occurs setting up the output

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| fop 2.1
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright 1999-2016 The Apache Software Foundation. All Rights Reserved.